Subject: [Gen-art] Gen-ART LC/Telechat Review of draft-ietf-v6ops-64share-09

From: Ben Campbell <[email-masked]>
Date: Fri, 21 Mar 2014 14:24:46 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-v6ops-64share-09
Reviewer: Ben Campbell
Review Date: 2014-03-21
IETF LC End Date: long time ago
IESG Telechat date: 2014-03-27

Note: I somehow missed this assignment at last call time. Therefore this review serves as both a last call and an IESG telechat review.

Summary: This draft is mostly ready for publication as an informational RFC. I have a few editorial comments that might be worth considering prior to publication.

Major issues: None

Minor issues: None

Nits/editorial comments:

-- Section 1, paragraph 1:

Can you elaborate on what it means to "extend" The prefix to a LAN link? Are we talking about routing IPv6 traffic from other local devices (on the LAN) across the 3gpp link, for example, like one might do when tethering devices to a phone or mobile hotspot?
Can you offer a reference for "the 3GPP specification"?

Can you offer a reference for "the 3GPP specification"?

-- paragraph 2: "This can be achieved by receiving the Router Advertisement (RA) [RFC4861] announced globally unique /64 IPv6 prefix from the 3GPP radio interface and then advertising"

What does these things. The UE?

Please expand RA on first mention.

-- section 3, R-1:

Please expand SLAAC on first use.

-- section 4.2, 1st paragraph: "The 3GPP RA /64 prefix information is used to configure NDP on the LAN and assigns itself an address on the LAN link."

The prefix information assigns itself an address? I don't think that's what you mean to say.

-- section 4.2, step 7:

Please expand DAD on first use.

---

From: Jari Arkko <[email-masked]>
Date: Thu, 27 Mar 2014 13:40:08 +0200

Thanks for the review, Ben! Authors, have you seen the editorial comments?

jari

On Mar 21, 2014, at 9:24 PM, Ben Campbell <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Vízdal Aleš <[email-masked]>
Date: Thu, 27 Mar 2014 12:45:33 +0100

Hi,

Yes, these will be taken care of in the next release. I am currently
waiting for direction from the doc shepherd or AD as per the statement below.

> Please wait for direction from your document shepherd or AD
> before
> posting a new version of the draft.

Ales

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]]
> Sent: Thursday, March 27, 2014 12:40 PM
> To: Ben Campbell
> Cc: [email-masked]; gen-
> [email-masked] Team ([email-masked])
> Subject: Re: [Gen-art] Gen-ART LC/Telechat Review of draft-
> ietf-v6ops-64share-09
>
> > Gen-ART, please see the FAQ at <
> > http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> >
> > Please wait for direction from your document shepherd or AD
> before
> > posting a new version of the draft.
> >
> > Note: I somehow missed this assignment at last call time.
> Therefore this review serves as both a last call and an IESG
> telechat review.
> >
> > Summary: This draft is mostly ready for publication as an
> informational RFC. I have a few editorial comments that might
> be worth considering prior to publication.
> >
> > Major issues: None
> >
> > Minor issues: None
> >
> > Nits/editorial comments:
> >
> > Can you elaborate on what it means to "extend" The prefix
> to a LAN link? Are we talking about routing IPv6 traffic from
> other local devices (on the LAN) across the 3gpp link, for
> example, like one might do when tethering devices to a phone
> or mobile hotspot?
> > -- paragraph 2: "This can be achieved by receiving the
> Router Advertisement (RA) [RFC4861] announced globally unique
> /64 IPv6 prefix from the 3GPP radio interface and then
> advertising"
> >
> > -- section 4.2, 1st paragraph: "The 3GPP RA /64 prefix
> information is used to configure NDP on the LAN and assigns
> itself an address on the LAN link."
> >

Zásady komunikace, které společnost T-Mobile Czech Republic a.s. užívá při sjednávání smluv, jsou uvedeny zde  http://www.t-mobile.cz/zasady. Není-li v zásadách uvedeno jinak, nepředstavuje tato zpráva konečný návrh na uzavření či změnu smlouvy ani přijetí takového návrhu. The communication principles which T-Mobile Czech Republic a.s. applies when negotiating contracts are defined here http://www.t-mobile.cz/principles. Unless otherwise stated in the principles, this message does not constitute the final offer to contract or an amendment of a contract or acceptance of such offer.

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Thu, 27 Mar 2014 15:08:43 +0000

> waiting for direction from the doc shepherd or AD as per the statement below.

Sorry. Yes, please update and repost the draft per the GEN-ART review.

The reason for this statement in the message, AFAIK, is that there may be multiple reviews going on and waiting a day or two would let you respond to the entire set of comments. In this case, I don’t know of any other reviews.

> Zásady komunikace, které společnost T-Mobile Czech Republic a.s. užívá při sjednávání smluv, jsou uvedeny zde  http://www.t-mobile.cz/zasady. Není-li v zásadách uvedeno jinak, nepředstavuje tato zp…

-----------------------------------
"We are learning to do a great many clever things...The next great task
will be to learn not to do them."

- G. K. Chesterton (1874-1936)